## 21_missing_includes.dpatch by Michael Bienia <geser@ubuntu.com>
##
## DP: Add missing PostgreSQL includes.

@DPATCH@
diff -urNad postgresql-pllua-0.8.1~/plluaapi.c postgresql-pllua-0.8.1/plluaapi.c
--- postgresql-pllua-0.8.1~/plluaapi.c	2010-03-12 17:28:30.000000000 +0100
+++ postgresql-pllua-0.8.1/plluaapi.c	2010-03-12 17:29:25.000000000 +0100
@@ -10,6 +10,7 @@
 
 #include "utils/builtins.h"
 #include "utils/guc.h"
+#include "utils/datum.h"
 
 /* extended function info */
 typedef struct luaP_Info {
diff -urNad postgresql-pllua-0.8.1~/plluaspi.c postgresql-pllua-0.8.1/plluaspi.c
--- postgresql-pllua-0.8.1~/plluaspi.c	2008-04-01 01:53:07.000000000 +0200
+++ postgresql-pllua-0.8.1/plluaspi.c	2010-03-12 17:30:03.000000000 +0100
@@ -6,6 +6,7 @@
  */
 
 #include "pllua.h"
+#include "utils/builtins.h"
 
 #ifndef SPI_prepare_cursor
 #define SPI_prepare_cursor(cmd, nargs, argtypes, copts) \
